#!/bin/bash

X=200
Y=70

# Create the mask
convert \
	-background none -fill black \
	-pointsize 60 -size ${X}x${Y} -gravity center \
	label:TEST1 mask.png

# Create large static image
convert -size 2000x${Y} canvas: +noise Random -monochrome -alpha off background.png

# Create video
ffmpeg -y -framerate 60 -loop true -t 10 -i background.png -i mask.png \
	-filter_complex "
		[0] crop=x=n:w=${X}:h=${Y} [bg];
		[0] crop=x=out_w-n:w=${X}:h=${Y} [fg];
		[1] alphaextract [mask];
		[fg][mask] alphamerge [text];
		[bg][text] overlay"\
	-c:v libx264 -crf 10 -an out.mp4

# rm *.png
